=========
AbsRunner
=========

AbsRerankerTrainer
==================

.. autoclass:: FlagEmbedding.abc.finetune.reranker.AbsRerankerRunner

Methods
-------

.. automethod:: FlagEmbedding.abc.finetune.reranker.AbsRerankerRunner.load_tokenizer_and_model

.. automethod:: FlagEmbedding.abc.finetune.reranker.AbsRerankerRunner.load_trainer

.. automethod:: FlagEmbedding.abc.finetune.reranker.AbsRerankerRunner.load_train_dataset

.. automethod:: FlagEmbedding.abc.finetune.reranker.AbsRerankerRunner.load_data_collator

.. automethod:: FlagEmbedding.abc.finetune.reranker.AbsRerankerRunner.run